#
# This files contains definitions needed to use CGAL in a program.
# DO NOT EDIT THIS. The definitons have been generated by CMake at configuration time.
# This file is loaded by cmake via the command "find_package(CGAL)"
#
# This file correspond to a CGAL installation with "make install", thus the actual location
# must be given by the cmake variable or enviroment variable CGAL_DIR. 

set(CGAL_CONFIG_LOADED TRUE)

set(CGAL_SOURCE_DIRECTORY "/build/buildd/cgal-3.6.1" )

# CGAL_DIR is the directory where this CGALConfig.cmake is installed
set(CGAL_INSTALL_PREFIX "/usr")

set(CGAL_MAJOR_VERSION "3" )
set(CGAL_MINOR_VERSION "6" )
set(CGAL_BUILD_VERSION "1" )

set(CGAL_SHARED_LIBS "TRUE" )

set(CGAL_CXX_FLAGS_INIT                   "-g -O2  -D_REENTRANT -frounding-math" )
set(CGAL_CXX_FLAGS_RELEASE_INIT           "-O3 -DNDEBUG" )
set(CGAL_CXX_FLAGS_DEBUG_INIT             "-g" )
set(CGAL_MODULE_LINKER_FLAGS_INIT         "-Wl,-Bsymbolic-functions" )
set(CGAL_MODULE_LINKER_FLAGS_RELEASE_INIT "" )
set(CGAL_MODULE_LINKER_FLAGS_DEBUG_INIT   "" )
set(CGAL_SHARED_LINKER_FLAGS_INIT         "-Wl,-Bsymbolic-functions" )
set(CGAL_SHARED_LINKER_FLAGS_RELEASE_INIT "" )
set(CGAL_SHARED_LINKER_FLAGS_DEBUG_INIT   "" )
set(CGAL_BUILD_TYPE_INIT                  "Release" )

set(CGAL_INCLUDE_DIRS      "/usr/include" )
set(CGAL_CMAKE_MODULE_PATH "/usr/lib/CGAL" )
set(CGAL_LIBRARIES_DIR     "/usr/lib" )

set(WITH_CGAL         "ON")
set(WITH_CGAL_Core    "ON")
set(WITH_CGAL_ImageIO "ON")
set(WITH_CGAL_PDB     "ON" )
set(WITH_CGAL_Qt3     "ON" )
set(WITH_CGAL_Qt4     "ON" )

set(CGAL_LIBRARY         "/usr/lib/libCGAL.so")
set(CGAL_Core_LIBRARY    "/usr/lib/libCGAL_Core.so")
set(CGAL_ImageIO_LIBRARY "/usr/lib/libCGAL_ImageIO.so")
set(CGAL_PDB_LIBRARY     "/usr/lib/libCGAL_PDB.so" )
set(CGAL_Qt3_LIBRARY     "/usr/lib/libCGAL_Qt3.so" )
set(CGAL_Qt4_LIBRARY     "/usr/lib/libCGAL_Qt4.so" )

set(CGAL_3RD_PARTY_INCLUDE_DIRS   "/usr/include;/usr/include;/usr/include;/usr/include" )
set(CGAL_3RD_PARTY_DEFINITIONS    "" )
set(CGAL_3RD_PARTY_LIBRARIES_DIRS "/usr/lib;/usr/lib;/usr/lib" )
set(CGAL_3RD_PARTY_LIBRARIES      "/usr/lib/libgmpxx.so;/usr/lib/libmpfr.so;/usr/lib/libgmp.so;/usr/lib/libboost_thread-mt.so" )

set(CGAL_Core_3RD_PARTY_INCLUDE_DIRS   "" )
set(CGAL_Core_3RD_PARTY_DEFINITIONS    "" )
set(CGAL_Core_3RD_PARTY_LIBRARIES_DIRS "" )
set(CGAL_Core_3RD_PARTY_LIBRARIES      "" )

set(CGAL_ImageIO_3RD_PARTY_INCLUDE_DIRS   "/usr/include;/usr/include" )
set(CGAL_ImageIO_3RD_PARTY_DEFINITIONS    "-DCGAL_USE_ZLIB" )
set(CGAL_ImageIO_3RD_PARTY_LIBRARIES_DIRS "" )
set(CGAL_ImageIO_3RD_PARTY_LIBRARIES      "/usr/lib/libGLU.so;/usr/lib/libGL.so;/usr/lib/libSM.so;/usr/lib/libICE.so;/usr/lib/libX11.so;/usr/lib/libXext.so;/usr/lib/libz.so" )
set(CGAL_ImageIO_USE_ZLIB                 "ON" )

set(CGAL_PDB_3RD_PARTY_INCLUDE_DIRS   "" )
set(CGAL_PDB_3RD_PARTY_DEFINITIONS    "" )
set(CGAL_PDB_3RD_PARTY_LIBRARIES_DIRS "" )
set(CGAL_PDB_3RD_PARTY_LIBRARIES      "" )

set(CGAL_Qt3_3RD_PARTY_INCLUDE_DIRS   "/usr/share/qt3/include;/usr/include" )
set(CGAL_Qt3_3RD_PARTY_DEFINITIONS    "-DQT_SHARED;-DQT_NO_DEBUG;-DQT_THREAD_SUPPORT;-D_REENTRANT" )
set(CGAL_Qt3_3RD_PARTY_LIBRARIES_DIRS "" )
set(CGAL_Qt3_3RD_PARTY_LIBRARIES      "/usr/lib/libqt-mt.so;/usr/lib/libSM.so;/usr/lib/libICE.so;/usr/lib/libX11.so;/usr/lib/libXext.so;dl;-lpthread;/usr/lib/libGLU.so;/usr/lib/libGL.so;/usr/lib/libSM.so;/usr/lib/libICE.so;/usr/lib/libX11.so;/usr/lib/libXext.so" )

set(CGAL_Qt4_3RD_PARTY_INCLUDE_DIRS   "/usr/include/qt4;/usr/include" )
set(CGAL_Qt4_3RD_PARTY_DEFINITIONS    "-DQT_DLL" )
set(CGAL_Qt4_3RD_PARTY_LIBRARIES_DIRS "" )
set(CGAL_Qt4_3RD_PARTY_LIBRARIES      "optimized;/usr/lib/libQtOpenGL.so;debug;/usr/lib/libQtOpenGL.so;optimized;/usr/lib/libQtGui.so;debug;/usr/lib/libQtGui.so;optimized;/usr/lib/libQtCore.so;debug;/usr/lib/libQtCore.so;/usr/lib/libGLU.so;/usr/lib/libGL.so;/usr/lib/libSM.so;/usr/lib/libICE.so;/usr/lib/libX11.so;/usr/lib/libXext.so" )

set(CGAL_VERSION "${CGAL_MAJOR_VERSION}.${CGAL_MINOR_VERSION}.${CGAL_BUILD_VERSION}")
set(CGAL_GMP_VERSION "4.3.2")
set(CGAL_MPFR_VERSION "3.0.0")
set(CGAL_AUTO_LINK_GMP "")
set(CGAL_AUTO_LINK_MPFR "")

set(CGAL_USE_FILE "${CGAL_CMAKE_MODULE_PATH}/UseCGAL.cmake" )

if ( CGAL_FIND_REQUIRED )
  set( CHECK_CGAL_COMPONENT_MSG_ON_ERROR TRUE        )
  set( CHECK_CGAL_COMPONENT_ERROR_TYPE   FATAL_ERROR )
  set( CHECK_CGAL_COMPONENT_ERROR_TITLE  "ERROR:"    )
else()
  if ( NOT CGAL_FIND_QUIETLY )
    set( CHECK_CGAL_COMPONENT_MSG_ON_ERROR TRUE      )
    set( CHECK_CGAL_COMPONENT_ERROR_TYPE   STATUS    )
    set( CHECK_CGAL_COMPONENT_ERROR_TITLE "NOTICE:" )
  else()  
    set( CHECK_CGAL_COMPONENT_MSG_ON_ERROR FALSE )
  endif()
endif()

macro(check_cgal_component COMPONENT)

  set( CGAL_LIB CGAL${COMPONENT} )
  
  if ( WITH_${CGAL_LIB} )
    set( ${CGAL_LIB}_FOUND TRUE )
  else()
    set( ${CGAL_LIB}_FOUND FALSE )
  endif()
  
  if ( "${COMPONENT}" STREQUAL "" )
    set( CHECK_${CGAL_LIB}_ERROR_TAIL "" )
  else()
    set( CHECK_${CGAL_LIB}_ERROR_TAIL " Please configure CGAL using WITH_${CGAL_LIB}=ON." )
  endif()   
  
  if ( NOT ${CGAL_LIB}_FOUND AND CHECK_CGAL_COMPONENT_MSG_ON_ERROR )
    message( ${CHECK_CGAL_COMPONENT_ERROR_TYPE} "${CHECK_CGAL_COMPONENT_ERROR_TITLE} The ${CGAL_LIB} library was not configured.${CHECK_${CGAL_LIB}_ERROR_TAIL}" )
  endif()
  
endmacro()

check_cgal_component("")

foreach( CGAL_COMPONENT ${CGAL_FIND_COMPONENTS} )
  check_cgal_component("_${CGAL_COMPONENT}")
endforeach()

# Starting with cmake 2.6.3, CGAL_FIND_COMPONENTS is cleared out when find_package returns.
# But we need it within UseCGAL.cmake, so we save it aside into another variable
set( CGAL_REQUESTED_COMPONENTS ${CGAL_FIND_COMPONENTS} )
